View Issue Details

IDProjectCategoryView StatusLast Update
0024560LazarusIDEpublic2013-06-09 23:33
ReporterBranislavAssigned ToMartin Friebe 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformARMOSWinCEOS Version
Product Version1.1 (SVN)Product Build41557 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0024560: error while compile WinCE project - identifier not found "GetCharacterPlacementW"
DescriptionWhile compiling WinCE ARM project error messages are displeyed :
 - identifier not found "GetCharacterPlacementW"
 - identifier not found "GCP_DIACRITIC"
 - identifier not found "GCP_KASHIDA"
 - identifier not found "GCP_LIGATE"

As far as I tested , until SVN 41044 the same projecst can be compiled with no problem at all.
Steps To ReproduceJust compile WinCE project
TagsNo tags attached.
Fixed in Revision41602
LazTarget-
WidgetsetWinCE
Attached Files

Activities

Branislav

2013-06-07 05:39

reporter   ~0068109

error is in components\synedit\SynEditTextSystemCharWidth.pas

Martin Friebe

2013-06-07 11:40

manager   ~0068111

As a workaround: comment all code in the unit. It is only used experimental, if special defines are set.

Martin Friebe

2013-06-08 21:36

manager   ~0068136

Please test, and close if ok

Branislav

2013-06-09 23:33

reporter   ~0068161

Everything is ok.

Issue History

Date Modified Username Field Change
2013-06-06 05:28 Branislav New Issue
2013-06-07 05:39 Branislav Note Added: 0068109
2013-06-07 11:39 Martin Friebe Assigned To => Martin Friebe
2013-06-07 11:39 Martin Friebe Status new => assigned
2013-06-07 11:40 Martin Friebe Note Added: 0068111
2013-06-08 21:36 Martin Friebe Fixed in Revision => 41602
2013-06-08 21:36 Martin Friebe LazTarget => -
2013-06-08 21:36 Martin Friebe Note Added: 0068136
2013-06-08 21:36 Martin Friebe Status assigned => resolved
2013-06-08 21:36 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-06-08 21:36 Martin Friebe Resolution open => fixed
2013-06-08 21:36 Martin Friebe Target Version => 1.2.0
2013-06-09 23:33 Branislav Note Added: 0068161
2013-06-09 23:33 Branislav Status resolved => closed